package com.boldchat.integrations.sample;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import com.boldchat.integrations.sample.models.TicketContext;
import com.boldchat.integrations.sample.models.TicketNotesContext;

public class SampleData {

    static SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    public static TicketContext[] getSampleData() {

        TicketContext[] tickets = new TicketContext[3];

        try {
            TicketNotesContext[] notes = new TicketNotesContext[2];
            notes[0] = new TicketNotesContext("Jane Technician", simpleDateFormat.parse("2014-01-09 19:18:01"), "I am currently looking into this issue, Sounds like a bad fan.");
            notes[1] = new TicketNotesContext("Jane Technician", simpleDateFormat.parse("2014-01-09 20:43:46"), "I confirmed that the fan is bad. Going to ship out a new one.");

            tickets[0] = new TicketContext(1, "001", "Loud noises from computer", "Customer reports loud noise from back of laptop", "Ben", "Burrus", "bburrus@example.com",
                    "555-555-7312", "Active", "Jane Technician", simpleDateFormat.parse("2104-01-09 16:12:08"), simpleDateFormat.parse("2014-01-09 20:43:46"), notes);

            TicketNotesContext[] notes2 = new TicketNotesContext[2];
            notes2[0] = new TicketNotesContext("Jane Technician", simpleDateFormat.parse("2104-02-08 15:01:54"), "The user's computer service tag is XR2EV3. Waiting for supervisor's approval and will order a new battery.");
            notes2[1] = new TicketNotesContext("Bob Supervisor", simpleDateFormat.parse("2014-02-09 11:02:17"), "Approved.");

            tickets[1] = new TicketContext(2, "002", "Bad Battery", "User's battery only lasts 15 minutes", "Jeff", "Tyson", "jtyson@example.com",
                    "555-555-7101", "Active", "Jane Technician", simpleDateFormat.parse("2104-02-08 13:12:08"), simpleDateFormat.parse("2014-02-09 11:02:17"), notes2);

            TicketNotesContext[] notes3 = new TicketNotesContext[1];
            notes3[0] = new TicketNotesContext("BoldChat", simpleDateFormat.parse("2104-02-16 08:12:10"), "NOTICE: This incident was created using BoldChat\u0027s integration.");

            tickets[2] = new TicketContext(3, "003", "DeepSpace API question", "DeepSpace Inc. would like a demo of the new API integration feature. We need to schedule a demo.", "Richard", "White", "rwhite@deepspace.com",
                    "555-555-1415", "New", "Joe Salesman", simpleDateFormat.parse("2104-02-16 08:12:10"), simpleDateFormat.parse("2104-02-16 08:12:10"), notes3);

        } catch (ParseException e) {
            e.printStackTrace();
        }

        return tickets;
    }
}
