package com.boldchat.integrations.sample.models;

public class ReturnContext<T> {
    protected final String Status;
    protected final T Message;

    public ReturnContext(boolean isSuccess, T message) {
        if (isSuccess) {
            this.Status = "success";
        } else {
            this.Status = "error";
        }
        this.Message = message;
    }

    public String getStatus() {
        return this.Status;
    }

    public T getMessage() {
        return  this.Message;
    }
}
