package com.boldchat.integrations;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;

public class Utf8EncodingFilter implements Filter {

    protected static final Logger logger = Logger.getLogger(Utf8EncodingFilter.class);

    protected static final String CHAR_ENCODING = "UTF-8";

	@Override
	public void init(FilterConfig filterConfig) throws ServletException {
	}

	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest httpRequest = (HttpServletRequest) request;
		if(httpRequest.getCharacterEncoding() == null)
			httpRequest.setCharacterEncoding(CHAR_ENCODING);
        chain.doFilter(request, response);
    }

	@Override
	public void destroy() {
	}

}
