package com.boldchat.integrations.sample;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class SamplePropertiesUtil {
    public static String getProperty(String propertyName) {
        Properties prop = new Properties();
        InputStream input = null;

        try {
            input = SamplePropertiesUtil.class.getResourceAsStream("config.properties");
            prop.load(input);
            return prop.getProperty(propertyName);
        } catch (FileNotFoundException e) {
            return null;
        } catch (IOException e) {
            return null;
        }
    }
}
