package com.boldchat.integrations.sample;

import com.boldchat.integrations.ApiSettings;
import com.boldchat.integrations.ApiSettingsFactory;
import com.boldchat.integrations.AuthSecurityException;

public class SampleSettingsFactory implements ApiSettingsFactory {
	@Override
	public ApiSettings getIntegrationSettings(long accountId, long integrationSettingId) throws AuthSecurityException {
		return new SampleSettings(accountId, integrationSettingId);
	}
}
