package com.boldchat.integrations.sample.models;

import java.util.Date;

public class TicketNotesContext {
    protected final String PostedBy;
    protected final Date PostedOn;
    protected final String Note;

    public TicketNotesContext(String postedBy, Date postedOn, String note) {
        this.PostedBy = postedBy;
        this.PostedOn = postedOn;
        this.Note = note;
    }

    public String getPostedBy() {
        return this.PostedBy;
    }

    public Date getPostedOn() {
        return this.PostedOn;
    }

    public String getNote() {
        return this.Note;
    }
}
